
runthis = false

Hooks:PreHook(CharacterTweakData, "init", "DoWeRunThis", function(self, tweak_data)
	
	if Global.game_settings and Global.game_settings.difficulty ~= "sm_wish" and tweak_data.levels:get_ai_group_type() == "america" then
		runthis = true
	end
end)

Hooks:PostHook(CharacterTweakData, "_init_region_america", "init_murica", function(self)
	if not runthis then return end
	
	self._unit_prefixes.taser = "l"
	self._unit_prefixes.cloaker = "l"
end)

Hooks:PostHook(CharacterTweakData, "_init_spooc", "init_spooky", function(self)
	if not runthis then return end
	
	self.spooc.speech_prefix_p1 = "l"
	self.spooc.speech_prefix_count = 1
	
	self.spooc.chatter = self.presets.enemy_chatter.no_chatter
	
	self.spooc.spawn_sound_event = "clk_c01x_plu"
	self.spooc.die_sound_event = "shd_x02a_any_3p_01"
	
	-------------------------------------------------------------------------------------------------------------------
	-- Simply delete this entire block between the lines if you want the cloaker sounds back
	-------------------------------------------------------------------------------------------------------------------
	self.spooc.spooc_sound_events = {
		detect = "clk_c01x_plu",
		detect_stop = "",
		taunt_during_assault = "",
		taunt_after_assault = ""
	}
	-------------------------------------------------------------------------------------------------------------------
	
	self.spooc.special_deaths = nil
end)

Hooks:PostHook(CharacterTweakData, "_init_taser", "init_elecman", function(self)
	if not runthis then return end
	
	self.taser.speech_prefix_p1 = "l"
	self.taser.speech_prefix_count = 1
	
	self.taser.chatter = self.presets.enemy_chatter.no_chatter
	
	self.taser.die_sound_event = "shd_x02a_any_3p_01"
	
	self.taser.special_deaths = nil
end)
